> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Timed Cancel All Orders (SIGNED)

`Applicable for canceling all contract orders timed`

#### Request URL

`POST https://cloud-api.wooxpro.com/contract/private/cancel-all-after`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl 
 -H 'X-API-KEY:{{AccessKey}}'
 -H 'X-API-TIMESTAMP:{{currentTime}}'
 -H 'X-API-SIGN:{{SIGN}}' 
 -X POST -d '{
   "timeout":10,
   "symbol":"BTCUSDT"
}'
https://cloud-api.wooxpro.com/contract/private/cancel-all-after
```

| Field   | Type   | Required? | Description                                                                               |
| :------ | :----- | :-------- | :---------------------------------------------------------------------------------------- |
| timeout | Int    | Yes       | The duration of canceling orders(second,minimum value: 5 seconds) 0:Canceling the setting |
| symbol  | String | Yes       | Symbol of the contract(like BTCUSDT)                                                      |

#### Response Data

If code value is 1000, it means the order cancellation is successfully submitted, cancellation results will be pushed by websocket service.

> Response

```json theme={null}
{
  "code": 1000,
  "trace": "0cc6f4c4-8b8c-4253-8e90-8d3195aa109c",
  "message": "Ok",
  "data": {
    "result": true,
    "set_time": 1743064715,
    "cancel_time": 1743064725
  }
}
```

| Field        | type | Description                           |
| :----------- | :--- | :------------------------------------ |
| result       | Bool | Is the setting successful: true/false |
| set\_time    | Int  | Set time, timestamp                   |
| cancel\_time | Int  | The first time of cancel, timestamp   |
